Distributions.jl
================

[![Travis status](https://travis-ci.org/JuliaStats/Distributions.jl.svg?branch=master)](https://travis-ci.org/JuliaStats/Distributions.jl)
[![Appveyor status](https://ci.appveyor.com/api/projects/status/xqm07gyruflhnha7/branch/master?svg=true)](https://ci.appveyor.com/project/simonbyrne/distributions-jl/branch/master)
[![Coverage Status](https://coveralls.io/repos/JuliaStats/Distributions.jl/badge.svg?branch=master)](https://coveralls.io/r/JuliaStats/Distributions.jl?branch=master)
[![](https://img.shields.io/badge/docs-latest-blue.svg)](https://JuliaStats.github.io/Distributions.jl/latest/)
[![Distributions](http://pkg.julialang.org/badges/Distributions_0.5.svg)](http://pkg.julialang.org/?pkg=Distributions)
[![Distributions](http://pkg.julialang.org/badges/Distributions_0.6.svg)](http://pkg.julialang.org/?pkg=Distributions)

A Julia package for probability distributions and associated functions. Particularly, Distributions implements:

* Moments (e.g mean, variance, skewness, and kurtosis), entropy, and other properties
* Probability density/mass functions (pdf) and their logarithm (logpdf)
* Moment generating functions and characteristic functions
* Sampling from population or from a distribution
* Maximum likelihood estimation

**Note:** The functionalities related to conjugate priors have been moved to the [ConjugatePriors package](https://github.com/JuliaStats/ConjugatePriors.jl).


#### Resources

* **Documentation**: <https://JuliaStats.github.io/Distributions.jl/latest/>
* **Release Notes**: <https://github.com/JuliaStats/Distributions.jl/blob/master/NEWS.md>
